X2Go Bug report logs - #909
Greyed out buttons in Session Management.

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: "x2go-user@lists.x2go.org" <x2go-user@lists.x2go.org>

Date: Fri, 24 Jul 2015 18:30:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.4.0

Fixed in version 4.0.4.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#909; Package x2goclient. (Fri, 24 Jul 2015 18:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to "x2go-user@lists.x2go.org" <x2go-user@lists.x2go.org>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 24 Jul 2015 18:30:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Paul Raines <raines@nmr.mgh.harvard.edu>
Cc: x2go-user@lists.x2go.org, submit@bugs.x2go.org
Subject: Re: Greyed out buttons in Session Management.
Date: Fri, 24 Jul 2015 20:29:01 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

package: x2goclient
version: 4.0.4.0

Hey,

thanks for trying that out and providing feedback.

Indeed we seem to have a bug there; filing as such.  However, what
will work is to click on the downward-pointing triangle in the lower
right of a session tile (those white things on the right).

@Devs:

Steps to reproduce:
1) Start x2goclient.exe
2) Click on "Session", select "Session Management"
  (Alternatively, press Ctrl+E)
3) Click on a session name

Expected result:
Buttons "Session preferences", "Delete Session", "Create Session Icon
on Desktop" become available

Actual result:
Buttons remain greyed out

Kind Regards,
Stefan


Am 24.07.2015 um 20:20 schrieb Paul Raines:
> 
> 
> Well, I just realized I have the same greyed out button issue on my
> X2GO client on my Windows box at home. So this has nothing to do
> with domains or profile migration.  Basically in Session Management
> all buttons on the right are greyed out except "New Session" no
> matter what session I select on the left.  I am running 4.0.4.0
> 
> -- Paul Raines (http://help.nmr.mgh.harvard.edu)
> 
> 
> 
> On Mon, 20 Jul 2015 4:40pm, Paul Raines wrote:
> 
>> 
>> After logging in as a new user on the machine and starting X2Go
>> client, we did not see the problem with the always greyed out
>> delete button in Session Management.
>> 
>> 
>> -- Paul Raines (http://help.nmr.mgh.harvard.edu)
>> 
>> 
>> 
>> On Sat, 18 Jul 2015 7:36am, Stefan Baur wrote:
>> 
> Am 17.07.2015 um 00:46 schrieb Paul Raines:
> 
>>>>> We deleted the registry key and that wiped all the sessions
>>>>> we had defined. But the UI issue continues.  We create a
>>>>> new session. Then go to the Session Managment dialog and
>>>>> all buttons are greyed out but the top one to create new
>>>>> sessions even after selecting the session on the left.  We
>>>>> can double click on the session on the left to edit.  So
>>>>> the only thing we cannot do someway or other is delete
>>>>> (well, beside wiping out everything in the registry key).
>>>>>> This could have been the case even before the profile
>>>>>> migration and
>>>>> we just didn't notice before.  So that might be a red
>>>>> herring.
>>>>>> Anyway, the user has no need to delete sessions at this
>>>>>> time so is
>>>>> fine with the way things are now.
> 
> This still sounds rather weird.  Could you please create a new
> user account in the same domain and check if that account
> experiences the same issues?
> 
> -Stefan
> 
>>> 
>>> 
>> 
> 
> 
> The information in this e-mail is intended only for the person to
> whom it is addressed. If you believe this e-mail was sent to you in
> error and the e-mail contains patient information, please contact
> the Partners Compliance HelpLine at 
> http://www.partners.org/complianceline . If the e-mail was sent to
> you in error but does not contain patient information, please
> contact the sender and properly dispose of the e-mail.
> 

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJVsoPtAAoJEG7d9BjNvlEZ76sH/AzX5GdFHGxdhc6BH11PE6UJ
8qTJHBv1bmh9+NQtd4quOPwMSkTBUDnruqM98YI+/wF+UE7WGGE2U4Ikk6xNKe+E
M+OGnPp3tzksNPBcdWJx5c4TzVgyHHn3DvMKFu6sz+DfjhLvKP1av8xQRKaQS3u0
UEyFO1+afdIhhFRAJ+tB+m1AywryOdHc+gOMzdenHib+oB2k0wUuEYTyA0/TAsaH
JIqjK783VrbxnqQpXRxWuFUzpM53aPxeIFz7iC9dhZTnFS1YtqMsFDfiHZZDzfQa
AN6xa15N8ASF1fZaY/ZoXj8Gc/xvY5O6P7FbrJPYkUT2v5wkxY5lYwS7o/20u10=
=AEoh
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#909; Package x2goclient. (Sun, 26 Jul 2015 04:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 26 Jul 2015 04:00:02 GMT) (full text, mbox, link).


Message #10 received at 909@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: "x2go-user@lists.x2go.org" <x2go-user@lists.x2go.org>, 909@bugs.x2go.org, Paul Raines <raines@nmr.mgh.harvard.edu>
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#909: Greyed out buttons in Session Management.
Date: Sun, 26 Jul 2015 05:57:16 +0200
[Message part 1 (text/plain, inline)]
On 24.07.2015 08:29 PM, Stefan Baur wrote:
> Steps to reproduce:
> 1) Start x2goclient.exe
> 2) Click on "Session", select "Session Management"
>   (Alternatively, press Ctrl+E)
> 3) Click on a session name
> 
> Expected result:
> Buttons "Session preferences", "Delete Session", "Create Session Icon
> on Desktop" become available
> 
> Actual result:
> Buttons remain greyed out

I have a potential, only halfway tested fix pending, but waiting for external
language consulting.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#909; Package x2goclient. (Mon, 27 Jul 2015 23:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 27 Jul 2015 23:15:02 GMT) (full text, mbox, link).


Message #15 received at 909@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 909-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 909@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Tue, 28 Jul 2015 01:11:22 +0200 (CEST)
tag #909 pending
fixed #909 4.0.4.1
thanks

Hello,

X2Go issue #909 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=ae7a297

The issue will most likely be fixed in src:x2goclient (4.0.4.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit ae7a2971c567cfde0cdc1162e9823ac5bff7e8b1
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Tue Jul 28 01:00:03 2015 +0200

    sessionmanagedialog.cpp: enable some debugging and make selected sessions configureable or deletable. Fixes: #909.

diff --git a/debian/changelog b/debian/changelog
index ab4dad7..fdb1052 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -72,6 +72,8 @@ x2goclient (4.0.4.1-0x2go1) UNRELEASED; urgency=low
     - onmainwindow.cpp: rename "optionsmd" setting to "optionswholedisplay",
       which is more clear.
     - xsettingswidget.cpp: fix compile error: settings -> setting.
+    - sessionmanagedialog.cpp: enable some debugging and make selected
+      sessions configureable or deletable. Fixes: #909.
 
   [ Mike Gabriel ]
   * debian/control:


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 27 Jul 2015 23:15:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.4.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 27 Jul 2015 23:15:03 GMT) (full text, mbox, link).


Message sent on to "x2go-user@lists.x2go.org" <x2go-user@lists.x2go.org>:
Bug#909. (Mon, 27 Jul 2015 23:15:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#909; Package x2goclient. (Tue, 28 Jul 2015 02:55:07 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Jul 2015 02:55:07 GMT) (full text, mbox, link).


Message #27 received at 909@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 909-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 909@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Tue, 28 Jul 2015 04:50:05 +0200 (CEST)
close #909
thanks

Hello,

we are very hopeful that X2Go issue #909 reported by you
has been resolved in the new release (4.0.5.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=4caef96a30c62c24a2077fd003e0a5f238885b17;hp=301b58ced7f1591476af7a50d2c759deea9895d1

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.0-0x2go1
Status: RELEASE
Date: Tue, 28 Jul 2015 04:48:20 +0200
Fixes: 696 882 901 909 911
Changes: 
 x2goclient (4.0.5.0-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream release (4.0.5.0):
     - INSTALL: add more verbose instructions on how to build X2Go Client and
       friends.
     - onmainwindow.{cpp,h}: rename slotScDaemonOut() and slotScDaemonError()
       to slotScDaemonStdOut() and slotScDaemonStdErr(). I will need
       slotScDaemonError() later and the previous names were a bit of a
       misnomer.
     - x2goutils.{cpp,h}: add new show_RichText_Generic_MsgBox() main function
       designed to replace the show_RichText_WarningMsgBox() function.
     - x2goutils.{cpp,h}: make show_RichText_WarningMsgBox() use
       show_RichText_Generic_MsgBox ().
     - x2goutils.{cpp,h}: new show_RichText_ErrorMsgBox() function as a wrapper
       for show_RichText_Generic_MsgBox() with a critical icon.
     - onmainwindow.{cpp,h}: properly handle scdaemon errors with a message box
       and close the client.
     - onmainwindow.cpp: manipulate PATH and append /usr/lib/gnupg2/ to it when
       starting scdaemon. Fixes: #882.
     - x2goutils.h: add QMessageBox include, fixed compile error.
     - onmainwindow.cpp: fix typos leading to compile errors.
     - onmainwindow.cpp: add blocks to switch cases to fix a compile error.
       Also correctly append to informative_text on one occasion, instead of
       overwriting it.
     - x2goutils.cpp: correct typo to fix compile errors.
     - onmainwindow.cpp: drop a redundant variable and fix empty env check.
     - onmainwindow.cpp: add more newlines to scdaemon error output. Use
       trayQuit() method to really quit the client.
     - onmainwindow.cpp: add debugging output for new scdaemon PATH value.
     - onmainwindow.cpp: split up PATH value as printed in the error message
       box by a newline every 100 characters. Makes it look less ugly and fixes
       truncation issues.
     - sshprocess.cpp: export PATH variable when running commands. Otherwise,
       only the first one will respect the new PATH value.
     - sshprocess.cpp: wrap SSH command prelude and conclusion in double
       quotes.
     - sshprocess.cpp: wrap all remote commands with "bash" instead of the
       unspecific "sh".
     - onmainwindow.cpp: try to escape shell quotes correctly when using
       Kerberos/GSSApi when running the xmodmap keyboard sync command on OS X.
     - onmainwindow.cpp: also escape other shell quotes when using
       Kerberos/GSSApi.
     - onmainwindow.cpp: silence compiler warning by casting an int value to
       std::size_t.
     - onmainwindow.cpp: silence another compiler warning by not converting
       from string to int and back to string needlessly. Just use the string.
       No need for an OS X-specific variable anymore.
     - onmainwindow.cpp: fix compile error - use QString.toAscii () to get a
       valid C string representation for tr ().
     - onmainwindow.cpp: don't terminate if scdaemon exited with non-zero exit
       code.
     - sshprocess.cpp: don't use QProcess::start (QString). Qt is trying to be
       too smart and causes big trouble. Instead, use QProcess::start (QString,
       QStringList) and pass the arguments as a list. On Windows, Qt will
       automatically double quote the arguments and duplicate escaped double
       quotes or escape non-escaped double quotes. On UNIX-like platforms, each
       element of the list is passed as a unique argv element, so there's no
       need for quoting them (that's only a shell-internal thing to group
       arguments.)
     - sshprocess.cpp: add a bit more debugging - also print out the unmodified
       raw output of SSH commands.
     - onmainwindow.cpp: remove now-bogus double quote escaping.
     - sshmasterconnection.cpp: port QProcess::start () change.
     - sshprocess.cpp: whitespace/prettify only and a compile fix.
     - x2goclient.pro: reinstate old lrelease "search" behavior if
       qtPrepareTool() is not available. This should only happen on EPEL 6,
       which ships a broken Qt4 version...
     - onmainwindow.cpp: only set multidisplay mode for non-rootless sessions.
     - {ui/xsettingsui.ui,xsettingswidget.cpp}: add new "whole display" option
       for external X server configuration. Part of #883.
     - onmainwindow.cpp: rename "optionsmd" setting to "optionswholedisplay",
       which is more clear.
     - xsettingswidget.cpp: fix compile error: settings -> setting.
     - sessionmanagedialog.cpp: enable some debugging and make selected
       sessions configureable or deletable. Fixes: #909.
 .
   [ Mike Gabriel ]
   * debian/control:
     + Add alternative D for nxproxy: qvd-nxproxy. Allows parallel installation
       of X2Go Client and the TheQVD client (perl-qvd-client).
 .
   [ Mike DePaulo ]
     - Windows: Update bundled Win32 OpenSSL from 1.0.1m to 1.0.1p,
       which fixes the multiple CVEs announced on 2015-06-11 and
       CVE-2015-1793 (announced on 2015-07-09).
     - Windows: Upgrade the MSVC 2008 DLLs (9.0.21022.8) to the
       MSVC 2013 DLLs (12.0.21005.1), which Win32 OpenSSL now requires.
     - Windows: Only bundle msvcr120.dll; The other 2 MSVC DLLs aren't
       needed by Win32 OpenSSL.
     - Windows: Update bundled Cygwin OpenSSL from 1.0.2a-1 to 1.0.2d-1, which
       which fixes the multiple CVEs announced on 2015-06-11 and
       CVE-2015-1793 (announced on 2015-07-09).
     - Windows: Update bundled VcXsrv from 1.17.0.0-1 (X2Go/Arctica Build)
       to 1.17.0.0-3 (X2Go/Arctica Build)
       The differences relevant to X2Go are:
         + VcXsrv's bundled version of openssl was updated from 1.0.2a
           to 1.0.2d (fixes the multiple CVEs announced on 2015-06-11 and
           CVE-2015-1793 (announced on 2015-07-09).
         + Drop winmultiwindow.patch (Part of #883)
         + hw/xwin/glx: Don't create fbConfigs for un-accelerated
           pixelFormats
           This has the effect of disabling StaticColor under
           MultiWindow mode with -wgl (default) and -swrastwgl, and
           thus making X2Go sessions started from the Windows client
           able to be resumed on the client on a different OS or the
           client runing on Windows with different display settings.
           (Fixes: #696)
     - Linux: Fix desktop session icons (.desktop files) failing due to
       missing space between "x2goclient" and its 1st argument
       (e.g. "--session") (Fixes: #911)
 .
   [ Henning Heinold ]
   * New upstream release (4.0.5.0):
     - x2goclient.pro: simplify lrelease path preparing for different OS and
       cross compiling. Fixes: #901.
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.0):
     - onmainwindow.{cpp,h}: fix multimonitor mode on Windows. Run VcXsrv on
       selected screen without decorations.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 28 Jul 2015 02:55:14 GMT) (full text, mbox, link).


Notification sent to "x2go-user@lists.x2go.org" <x2go-user@lists.x2go.org>:
Bug acknowledged by developer. (Tue, 28 Jul 2015 02:55:14 GMT) (full text, mbox, link).


Message sent on to "x2go-user@lists.x2go.org" <x2go-user@lists.x2go.org>:
Bug#909. (Tue, 28 Jul 2015 02:55:20 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 25 Aug 2015 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Oct 20 11:43:31 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.